## org.omg.CORBA
Class ValueFactoryHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueFactoryHelper

public class ValueFactoryHelper
extends java.lang.Object

Helper class for : ValueFactory

Author:
  OpenORB Compiler

Constructor Summary
`ValueFactoryHelper()`

Method Summary
`static ValueFactory` `extract(Any a)` Extract ValueFactory from an any
`static java.lang.String` `id()` Return the ValueFactory IDL ID
`static void` `insert(Any a, ValueFactory t)` Insert ValueFactory into an any
`static ValueFactory` `read(InputStream istream)` Read ValueFactory from a marshalled stream
`static TypeCode` `type()` Return the ValueFactory TypeCode
`static void` `write(OutputStream ostream, ValueFactory value)` Write ValueFactory into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueFactoryHelper

    public ValueFactoryHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ValueFactory t)

  Insert ValueFactory into an any
  Parameters:
    `a` - an any
    `t` - ValueFactory value

### extract

    public static ValueFactory extract(Any a)

  Extract ValueFactory from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ValueFactory value

### type

    public static TypeCode type()

  Return the ValueFactory TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ValueFactory IDL ID
  Returns:
    an ID

### read

    public static ValueFactory read(InputStream istream)

  Read ValueFactory from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ValueFactory value

### write

    public static void write(OutputStream ostream,
                             ValueFactory value)

  Write ValueFactory into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ValueFactory value